isEmpty(CUMBIA_ROOT) {
    CUMBIA_ROOT=/usr/local/cumbia-libs
}
include($${CUMBIA_ROOT}/include/quapps/quapps.pri)

# CONFIG += debug | release

DEFINES -= QT_NO_DEBUG_OUTPUT

TEMPLATE = app
CONFIG      += warn_on debug qt app_bundle

QT += sql
QT += multimedia

lessThan(QT_MAJOR_VERSION, 5) {
    message("Qt4 detected: using phonon for sound")
    QT += phonon
}

RESOURCES += alarm.qrc

INCLUDEPATH += src

SOURCES += src/alarm.cpp \
           src/acmd.cpp \
           src/alarminfow.cpp \
           src/main.cpp \
           src/AlarmTreeWidget.cpp  \
           src/AlarmTreeWidgetItem.cpp \
           src/Sound.cpp \
           src/AlarmHistoryTree.cpp \
           src/mysqlmodel.cpp

HEADERS += src/alarm.h \
           src/AlarmTreeWidget.h \
           src/AlarmTreeWidgetItem.h \
           src/acmd.h \
           src/alarminfow.h \
           src/filter.h \
           src/Sound.h  \
           src/AlarmHistoryTree.h \
           src/mysqlmodel.h

# FORMS    = src/alarm.ui

TARGET   = bin/alarm-ng-gui

message("-")
message("NOTE")
message("You need to run cuuimake in order to build the project")
message("-")
message("        cuuimake --show-config to see cuuimake configuration options")
message("        cuuimake --configure to configure cuuimake")
message("        cuuimake -jN to execute cuuimake and then make -jN")
message("        cuuimake --make to run cuuimake and then make")
message("-")

